Alokai

SapccApiCreateUserRequest

Request parameters for createUser operation in SapccApi. SapccApiCreateUserRequest

interface SapccApiCreateUserRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly sapCommerceCloudCaptchaToken?: string;
	readonly userSignUp: UserSignUp;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateUser
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateUser
sapCommerceCloudCaptchaTokenOptionalstringThe user's response token returned by captcha provider, for example, the g-recaptcha-response returned by google recaptcha client. When the captchaCheckEnabled = true for the store, the field is mandatory and will call the provider to validate. {string} SapccApiCreateUser
userSignUpRequiredUserSignUp{UserSignUp} SapccApiCreateUser

Referenced Types

On this page